ParameterException (cloudsim 3.1-SNAPSHOT API)

org.cloudbus.cloudsim

## Class ParameterException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.cloudbus.cloudsim.ParameterException

- All Implemented Interfaces:
    Serializable

      public class ParameterException
      extends Exception

  This exception is to report bad or invalid parameters given during constructor.
  Since:
    CloudSim Toolkit 1.0
  Author:
    Gokul Poduval, Chen-Khong Tham, National University of Singapore
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ParameterException()` Constructs a new exception with `null` as its detail message.
    `ParameterException(String message)` Creates a new ParameterException object.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `toString()` Returns an error message of this object.

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ParameterException

          public ParameterException()

      Constructs a new exception with `null` as its detail message.

    - #### ParameterException

          public ParameterException(String message)

      Creates a new ParameterException object.
      Parameters:
        `message` - an error message

  - ### Method Detail

    - #### toString

          public String toString()

      Returns an error message of this object.
      Overrides:
        `toString` in class `Throwable`
      Returns:
        an error message

Copyright © 2013 The Cloud Computing and Distributed Systems (CLOUDS) Laboratory, The University of Melbourne. All Rights Reserved.